%define ff_epoch 0
%define ff_ver 3.0.8

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: ScribeFire extension for firefox
Name: mozilla-firefox-ext-scribefire
Version: 2.2.7
%define subrel 8
Release: %mkrel 2
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/1730
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/17670/scribefire-%{version}-fx+sm.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
ScribeFire (previously Performancing for Firefox) is a full-featured blog
editor that integrates with your browser and lets you easily post to your blog.
You can drag and drop formatted text from pages you are browsing, take notes,
and post to your blog.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}




%changelog
* Tue Mar 31 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.7-2.8mdv2008.1
- build for firefox 3.0.8 update

* Thu Mar 12 2009 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-2.7mdv2008.1
- rebuilt for firefox 3.0.7 update

* Thu Feb 12 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.7-2.6mdv2008.1
- build for firefox 3.0.6 update

* Thu Jan 15 2009 Gustavo De Nardin <gustavodn@mandriva.com> 2.2.7-2.5mdv2008.1
+ Revision: 329643
- prepare for xulrunner 1.9 / firefox 3

* Wed Dec 17 2008 Vincent Danen <vdanen@mandriva.com> 2.2.7-2.4mdv2008.1
+ Revision: 315346
- rebuild against firefox 2.0.0.19

* Fri Nov 14 2008 Vincent Danen <vdanen@mandriva.com> 2.2.7-2.3mdv2008.1
+ Revision: 303012
- rebuild against firefox 2.0.0.18

* Fri Sep 26 2008 Vincent Danen <vdanen@mandriva.com> 2.2.7-2.2mdv2008.1
+ Revision: 288415
- rebuild against firefox 2.0.0.17

* Fri Jul 18 2008 Vincent Danen <vdanen@mandriva.com> 2.2.7-2.1mdv2008.1
+ Revision: 237896
- rebuild against firefox 2.0.0.16

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - Branching 2008.1 release for updates.

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.4.2-6mdv2008.1
+ Revision: 190331
- bump ff_ver and release

* Fri Mar 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-5mdv2008.1
+ Revision: 181497
- Rebuilt against FF 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.2-4mdv2008.1
+ Revision: 117796
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-3mdv2008.1
+ Revision: 117476
- Rebuilt for FF 2.0.0.11

* Mon Nov 05 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-2mdv2008.1
+ Revision: 106120
- New firefox: 2.0.0.9

* Fri Oct 19 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.2-1mdv2008.1
+ Revision: 100398
- New upstream: 1.4.2
- Rebuilt against FF 2.0.0.8

* Wed Aug 01 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.4.1-1mdv2008.0
+ Revision: 57665
- Building for FF 2.0.0.6
- Import mozilla-firefox-ext-scribefire

